const masks = {
  cc: {
    mask: "0000 0000 0000 0000"
  },
  telru: { mask: "{+}{7} 000 000-0000" },
  telua: { mask: "{+}{3}{8} {\\0}00 000 0000"},
  telng: { mask: "{+}{2}{3}{4} 000 000 0000"},
  telgh: { mask: "{+}{2}{3}{3} 000 000 000"},
  telza: { mask: "{+}{2}{7} 00 000 0000"},
  telaf: { mask: "{+}{9}{3} 000 000 000"},
  tel: {
    mask: [
      {
        mask: '+00 {21} 0 000 0000',
        startsWith: '30',
        lazy: false,
        country: 'Greece'
      },
      {
        mask: '+0 000 000 0000',
        // startsWith: '77',
        lazy: false,
        country: 'Kazakhstan'
      },
      {
        mask: '+0 000 000-0000',
        startsWith: '7',
        // lazy: false,
        country: 'Russia'
      },
      {
        mask: "+00 000 000-0000",
        startsWith: '380',
        // lazy: false,
        country: 'Ukraine'
      },
      {
        mask: '+00-0000-000000',
        startsWith: '91',
        lazy: false,
        country: 'India'
      },
      {
        mask: '+0000000[000000000]',
        startsWith: '',
        country: 'unknown'
      }
    ],
    dispatch: function (appended, dynamicMasked) {
      var number = (dynamicMasked.value + appended).replace(/\D/g,'');
      return dynamicMasked.compiledMasks.find(function (m) {
        return number.indexOf(m.startsWith) === 0;
      });
    }
  }
}

const maskYoo = {
  mask:[{mask: "00000000000000[0]",startsWith: '41001'},...masks.tel.mask],
  dispatch: masks.tel.dispatch
}



export default [
  {"name":"💳 🇷🇺 RUB ₽ Visa/MC/Mir",
   "currency":"RUB",
   "min":500,
   "max":10000,
   "acc":"Card number",
   "imask":masks.cc,
   "iid":"cc",
   "autocomplete":"cc-number",
   "id":"card",
   "placeholder":"4111 1111 1111 1111",
  },
  {"name":"💳 🇺🇦 UAH ₴ Visa/MC",
   "currency":"UAH",
   "min":10,
   "max":5000,
   "imask":masks.cc,
   "iid":"cc",
   "acc":"Card number",
   "autocomplete":"cc-number",
   "id":"uacard",
   "placeholder":"4111 1111 1111 1111",
  },
  {"name":"💳 🇰🇿 KZT ₸ Visa/MC",
   "currency":"KZT",
   "min":500,
   "max":50000,
   "imask":masks.cc,
   "acc":"Card number",
   "iid":"cc",
   "autocomplete":"cc-number",
   "id":"kzcard",
   "placeholder":"4111 1111 1111 1111",
  },
  {"name":"📱 🇷🇺 RUB ₽ Mobile top-up",
   "currency":"RUB",
   "min":10,
   "max":2000,
   "imask":masks.telru,
   "acc":"Phone number",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"mobile",
   "placeholder":"+7 955 555-1234",
  },
  {"name":"📱 🇺🇦 UAH ₴ Mobile top-up",
   "currency":"UAH",
   "min":1,
   "max":500,
   "imask":masks.telua,
   "acc":"Phone number",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"uamobile",
   "placeholder":"+38 055 555 1234",
  },
  {"name":"👛 🇷🇺 RUB ₽ Qiwi",
   "imask": masks.tel,
   "currency":"RUB",
   "min":1,
   "max":10000,
   "acc":"Wallet (Phone number)",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"qiwi",
   "placeholder":"+7 955 555-1234",
  },
  {"name":"👛 🇷🇺 RUB ₽ YooMoney",
   "currency":"RUB",
   "min":0.01,
   "max":10000,
   "acc":"Wallet ID or mobile number",
   "autocomplete":"tel",
   "id":"yandex",
   "imask":maskYoo,
   "placeholder":"41001…",
  },
  {"name":"🚌 🇷🇺 RUB ₽ Strelka",
   "currency":"RUB",
   "min":10,
   "max":2000,
   "imask":{mask:"0000 0000 000"},
   "acc":"Strelka card number",
   "id":"strelka",
   "placeholder":"0000 0000 000",
  },
  {"name":"📱 🇳🇬 NGN ₦ Mobile top-up",
   "currency":"NGN",
   "min":50,
   "max":5000,
   "imask":masks.telng,
   "acc":"Phone number",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"ngmobile",
   "placeholder":"+234 905 555 1234",
  },
  {"name":"📱 🇬🇭 GHS ₵ Mobile top-up",
   "currency":"GHS",
   "min":1,
   "max":100,
   "imask":masks.telgh,
   "acc":"Phone number",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"ghmobile",
   "placeholder":"+233 302 555 123",
  },
  {"name":"📱 🇿🇦 ZAR R Mobile top-up",
   "currency":"ZAR",
   "min":3,
   "max":500,
   "imask":masks.telza,
   "acc":"Phone number",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"zamobile",
   "placeholder":"+27 87 555 1234",
  },
  {"name":"📱 🇦🇫 AFN Mobile top-up",
   "currency":"AFN",
   "min":40,
   "max":2000,
   "imask":masks.telaf,
   "acc":"Phone number",
   "autocomplete":"tel",
   "inputmode":"tel",
   "id":"afmobile",
   "placeholder":"+93 123 456 789",
  },
  {"name":"🌐 🇷🇺 RUB ₽ Flex provider",
   "currency":"RUB",
   "min":20,
   "max":2000,
   "acc":"Flex account (NB! not user login)",
   "id":"flex",
   "imask":{mask:"0[0000000]"},
  },
  {"name":"☎ 🇺🇸 USD $ Skype account",
   "currency":"USD",
   "min":0.05,
   "max":30,
   "acc":"Skype login name",
   "id":"skype",
   "inputmode":"text",
   "imask":{mask:"a[xxxxxxxxxxxxxx]",
	    definitions:{'a':/[A-Za-z_]/,'x':/[A-Za-z0-9_,\.\-]/}},
   "placeholder":"amazing1337_user",
  },

  {"name":"📞 🇷🇺 RUB ₽ SipNet",
   "currency":"RUB",
   "min":10,
   "max":2000,
   "acc":"SIP ID",
   "id":"sipnet",
   "imask":{mask:"000[000000]"}
  },
  {"name":"🌐 🇷🇺 RUB ₽ Spaceweb.ru",
   "currency":"RUB",
   "min":10,
   "max":2000,
   "acc":"Login on sweb.ru",
   "id":"spaceweb",
   "inputmode":"text",
   "imask":{mask:"a[xxxxxxxxxxxxxx]",
	    definitions:{'a':/[A-Za-z_]/,'x':/[A-Za-z0-9_,\.\-]/}},
  },
  {"name":"🚕 🇷🇺 RUB ₽ Taxi Maxim",
   "currency":"RUB",
   "min":10,
   "max":2000,
   "imask":{mask:"000[000000]"},
   "acc":"Account number ",
   "id":"maxim",
  },
]
